diff mbox series

[net-next] selftests: Extend the tc action test for action mirror

Message ID 1520174126-7770-1-git-send-email-arkadis@mellanox.com
State Accepted, archived
Delegated to: David Miller
Headers show
Series [net-next] selftests: Extend the tc action test for action mirror | expand

Commit Message

Arkadi Sharshevsky March 4, 2018, 2:35 p.m. UTC
Currently the tc action test is used only to test mirred redirect
action. This patch extends it for mirred mirror.

Signed-off-by: Jiri Pirko <jiri@mellanox.com>
Reviewed-by: Ido Schimmel <idosch@mellanox.com>
Signed-off-by: Arkadi Sharshevsky <arkadis@mellanox.com>
---
 tools/testing/selftests/net/forwarding/tc_actions.sh | 16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

Comments

David Miller March 5, 2018, 3:27 p.m. UTC | #1
From: Arkadi Sharshevsky <arkadis@mellanox.com>
Date: Sun,  4 Mar 2018 16:35:26 +0200

> Currently the tc action test is used only to test mirred redirect
> action. This patch extends it for mirred mirror.
> 
> Signed-off-by: Jiri Pirko <jiri@mellanox.com>
> Reviewed-by: Ido Schimmel <idosch@mellanox.com>
> Signed-off-by: Arkadi Sharshevsky <arkadis@mellanox.com>

Applied, thank you.
diff mbox series

Patch

diff --git a/tools/testing/selftests/net/forwarding/tc_actions.sh b/tools/testing/selftests/net/forwarding/tc_actions.sh
index 8423431..bc09a36 100755
--- a/tools/testing/selftests/net/forwarding/tc_actions.sh
+++ b/tools/testing/selftests/net/forwarding/tc_actions.sh
@@ -45,8 +45,10 @@  switch_destroy()
 	simple_if_fini $swp1 192.0.2.2/24
 }
 
-mirred_egress_redirect_test()
+mirred_egress_test()
 {
+	local action=$1
+
 	RET=0
 
 	tc filter add dev $h2 ingress protocol ip pref 1 handle 101 flower \
@@ -59,19 +61,19 @@  mirred_egress_redirect_test()
 	check_fail $? "Matched without redirect rule inserted"
 
 	tc filter add dev $swp1 ingress protocol ip pref 1 handle 101 flower \
-		$tcflags dst_ip 192.0.2.2 action mirred egress redirect \
+		$tcflags dst_ip 192.0.2.2 action mirred egress $action \
 		dev $swp2
 
 	$MZ $h1 -c 1 -p 64 -a $h1mac -b $h2mac -A 192.0.2.1 -B 192.0.2.2 \
 		-t ip -q
 
 	tc_check_packets "dev $h2 ingress" 101 1
-	check_err $? "Did not match incoming redirected packet"
+	check_err $? "Did not match incoming $action packet"
 
 	tc filter del dev $swp1 ingress protocol ip pref 1 handle 101 flower
 	tc filter del dev $h2 ingress protocol ip pref 1 handle 101 flower
 
-	log_test "mirred egress redirect ($tcflags)"
+	log_test "mirred egress $action ($tcflags)"
 }
 
 gact_drop_and_ok_test()
@@ -180,7 +182,8 @@  setup_prepare
 setup_wait
 
 gact_drop_and_ok_test
-mirred_egress_redirect_test
+mirred_egress_test "redirect"
+mirred_egress_test "mirror"
 
 tc_offload_check
 if [[ $? -ne 0 ]]; then
@@ -188,7 +191,8 @@  if [[ $? -ne 0 ]]; then
 else
 	tcflags="skip_sw"
 	gact_drop_and_ok_test
-	mirred_egress_redirect_test
+	mirred_egress_test "redirect"
+	mirred_egress_test "mirror"
 	gact_trap_test
 fi